I need help with online play -1 reply

Please wait...

Guest

I didn't make it!

0 XP

 
#1 13 years ago

I need help with online play i have the newest patch for BF1942 and i can only play 2 or 3 servers i aslo have punkbuster engaged and eveytime i try to join a game it says wrong version please help




War Hawk

۞ www.thisisnotporn.com ۞

50 XP

27th January 2004

0 Uploads

8,749 Posts

0 Threads

#2 13 years ago

Well that means that you probably don't have the latest version. First download and install this patch: http://battlefield1942.filefront.com/file/Battlefield_1942_Full_Client_Patch;23189 Then download this patch (this is probably the one you forgot): http://battlefield1942.filefront.com/file/Official_BF1942_Client_Patch_16_to_161b;33702